import { AsrWsClient } from '../asr-ws-client.ts';

import { audioPath, config, sleep } from './common.ts';

const asr = new AsrWsClient(audioPath, 'volcengine_input_common', {
  appid: config.APP_ID,
  token: config.TOKEN,
});
// tsx src/asr/provider/volcengine/test/asr.ts
const main = async () => {
  await sleep(1000);
  const result = await asr.execute();
  console.log('result', JSON.stringify(result, null, 2));
};

main();
